Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.http
Class HTTPServerILService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.mq.il.ServerILJMXService
                  org.jboss.mq.il.http.HTTPServerILService

All Implemented Interfaces:
  HTTPServerILServiceMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, ServerILJMXServiceMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class HTTPServerILService
extends ServerILJMXService
implements HTTPServerILServiceMBean

Implements the ServerILJMXService which is used to manage the HTTP/S IL.

Version:
  $Revision: 1.4 $
Author:
  Nathan Phelps (nathan@jboss.org)

Field Summary

Fields inherited from class org.jboss.mq.il.ServerILJMXService
`clientID, connectionFactoryJNDIRef, pingPeriod, xaConnectionFactoryJNDIRef`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`HTTPServerILService()`

Method Summary
`Properties` | `getClientConnectionProperties()`
`String` | `getName()`
`int` | `getRestInterval()` Get the HTTPIL default RestInterval
`ServerIL` | `getServerIL()`
`int` | `getTimeOut()` Get the HTTPIL default timeout
`String` | `getURL()` Get the HTTPIL URL.
`String` | `getURLHostName()` Get the HTTPIL URLHostName.
`int` | `getURLPort()` Get the HTTPIL URLPort.
`String` | `getURLPrefix()` Get the HTTPIL URLPrefix.
`String` | `getURLSuffix()` Get the HTTPIL URLSuffix.
`boolean` | `getUseHostName()` Get the HTTPIL UseHostName flag.
`void` | `setRestInterval(int restInterval)` Set the HTTPIL default RestInterval--the number of seconds the ClientILService will sleep after each client request.
`void` | `setTimeOut(int timeout)` Set the HTTPIL default timeout--the number of seconds that the ClientILService HTTP requests will wait for messages.
`void` | `setURL(String url)` Set the HTTPIL URL.
`void` | `setURLHostName(String hostname)` Set the HTTPIL URLName.
`void` | `setURLPort(int port)` Set the HTTPIL URLPort.
`void` | `setURLPrefix(String prefix)` Set the HTTPIL URLPrefix.
`void` | `setURLSuffix(String suffix)` Set the HTTPIL URLSuffix.
`void` | `setUseHostName(boolean value)` Set the HTTPIL UseHostName flag.
`void` | `startService()`
`void` | `stopService()`

Methods inherited from class org.jboss.mq.il.ServerILJMXService
`bindJNDIReferences, getClientID, getConnectionFactoryJNDIRef, getJBossMQService, getPingPeriod, getXAConnectionFactoryJNDIRef, lookupJMSServer, rebind, setClientID, setConnectionFactoryJNDIRef, setInvoker, setPingPeriod, setXAConnectionFactoryJNDIRef, unbindJNDIReferences`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.mq.il.ServerILJMXServiceMBean
`getClientID, getConnectionFactoryJNDIRef, getJBossMQService, getPingPeriod, getXAConnectionFactoryJNDIRef, setClientID, setConnectionFactoryJNDIRef, setInvoker, setPingPeriod, setXAConnectionFactoryJNDIRef`

Methods inherited from interface org.jboss.system.ServiceMBean
`getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### HTTPServerILService

    public HTTPServerILService()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.system.ServiceMBean`

### getServerIL

    public ServerIL getServerIL()

  Specified by:
    `getServerIL` in class `ServerILJMXService`
  Returns:
    The ServerIL value @returns ServerIL An instance of the Server IL, used for

### getClientConnectionProperties

    public Properties getClientConnectionProperties()

  Overrides:
    `getClientConnectionProperties` in class `ServerILJMXService`
  Returns:
    The ClientConnectionProperties value @returns Properties contains all the parameters needed to create a connection from the client to this IL

### startService

    public void startService()
                      throws Exception

  Overrides:
    `startService` in class `ServerILJMXService`
  Throws:
    `Exception`

### stopService

    public void stopService()

  Overrides:
    `stopService` in class `ServerILJMXService`

### setTimeOut

    public void setTimeOut(int timeout)

  Set the HTTPIL default timeout--the number of seconds that the ClientILService HTTP requests will wait for messages. This can be overridden on the client by setting the system property org.jboss.mq.il.http.timeout to an int value of the number of seconds. NOTE: This value should be in seconds, not millis.

  Specified by:
    `setTimeOut` in interface `HTTPServerILServiceMBean`

### getTimeOut

    public int getTimeOut()

  Get the HTTPIL default timeout

  Specified by:
    `getTimeOut` in interface `HTTPServerILServiceMBean`

### setRestInterval

    public void setRestInterval(int restInterval)

  Set the HTTPIL default RestInterval--the number of seconds the ClientILService will sleep after each client request. The default is 0, but you can set this value in conjunction with the TimeOut value to implement a pure timed based polling mechanism. For example, you could simply do a short lived request by setting the TimeOut value to 0 and then setting the RestInterval to 60. This would cause the ClientILService to send a single non-blocking request to the server, return any messages if available, then sleep for 60 seconds, before issuing another request. Like the TimeOut value, this can be explicitly overriden on a given client by specifying the org.jboss.mq.il.http.restinterval with the number of seconds you wish to wait between requests.

  Specified by:
    `setRestInterval` in interface `HTTPServerILServiceMBean`

### getRestInterval

    public int getRestInterval()

  Get the HTTPIL default RestInterval

  Specified by:
    `getRestInterval` in interface `HTTPServerILServiceMBean`

### setURL

    public void setURL(String url)

  Set the HTTPIL URL. This value takes precedence over any individual values set (i.e. the URLPrefix, URLSuffix, URLPort, etc.) It my be a actual URL or a propertyname which will be used on the client side to resolve the proper URL by calling System.getProperty(propertyname).

  Specified by:
    `setURL` in interface `HTTPServerILServiceMBean`

### getURL

    public String getURL()

  Get the HTTPIL URL. This value takes precedence over any individual values set (i.e. the URLPrefix, URLSuffix, URLPort, etc.) It my be a actual URL or a propertyname which will be used on the client side to resolve the proper URL by calling System.getProperty(propertyname).

  Specified by:
    `getURL` in interface `HTTPServerILServiceMBean`

### setURLPrefix

    public void setURLPrefix(String prefix)

  Set the HTTPIL URLPrefix. I.E. "http://" or "https://" The default is "http://"

  Specified by:
    `setURLPrefix` in interface `HTTPServerILServiceMBean`

### getURLPrefix

    public String getURLPrefix()

  Get the HTTPIL URLPrefix. I.E. "http://" or "https://" The default is "http://"

  Specified by:
    `getURLPrefix` in interface `HTTPServerILServiceMBean`

### setURLHostName

    public void setURLHostName(String hostname)

  Set the HTTPIL URLName.

  Specified by:
    `setURLHostName` in interface `HTTPServerILServiceMBean`

### getURLHostName

    public String getURLHostName()

  Get the HTTPIL URLHostName.

  Specified by:
    `getURLHostName` in interface `HTTPServerILServiceMBean`

### setURLPort

    public void setURLPort(int port)

  Set the HTTPIL URLPort. The default is 8080

  Specified by:
    `setURLPort` in interface `HTTPServerILServiceMBean`

### getURLPort

    public int getURLPort()

  Get the HTTPIL URLPort. The default is 8080

  Specified by:
    `getURLPort` in interface `HTTPServerILServiceMBean`

### setURLSuffix

    public void setURLSuffix(String suffix)

  Set the HTTPIL URLSuffix. I.E. The section of the URL after the port The default is "jbossmq-httpil/HTTPServerILServlet"

  Specified by:
    `setURLSuffix` in interface `HTTPServerILServiceMBean`

### getURLSuffix

    public String getURLSuffix()

  Get the HTTPIL URLSuffix. I.E. The section of the URL after the port The default is "jbossmq-httpil/HTTPServerILServlet"

  Specified by:
    `getURLSuffix` in interface `HTTPServerILServiceMBean`

### setUseHostName

    public void setUseHostName(boolean value)

  Set the HTTPIL UseHostName flag. if true the default URL will include a hostname, if false it will include an IP adddress. The default is false

  Specified by:
    `setUseHostName` in interface `HTTPServerILServiceMBean`

### getUseHostName

    public boolean getUseHostName()

  Get the HTTPIL UseHostName flag. if true the default URL will include a hostname, if false it will include an IP adddress. The default is false

  Specified by:
    `getUseHostName` in interface `HTTPServerILServiceMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.